#ifndef SPI_TEST_V1_H
#define SPI_TEST_V1_H

#ifdef __cplusplus
extern "C" {
#endif

void SPI_GPIO_Init();
void spi_init();
void spi_TX(uint16_t data);
uint16_t calculate_DAC_value(float voltage);
short read_current_temperature();
void initADC();
void initADCSOC();
void initEPWM();
__interrupt void adcA1ISR();
void SCISendData(const char *string);

void spi_initController(void);
void spi_updateController(void);

void adcA1ISR(void);   //for debug

#ifdef __cplusplus
}
#endif

#endif // SPI_TEST_V1_H
